Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit	39b7ceece0e3daf675444ec711efd9fc534c100a
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		mpssh
Version:	1.3.3
Release:	alt2_20
Summary:	Parallel ssh tool

License:	BSD
URL:		https://github.com/ndenev/%{name}
Source0:	https://github.com/ndenev/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
Patch0:		mpssh-1.3.3.dont_override_cflags.patch

BuildRequires:  gcc
BuildRequires:	openssh-clients
Requires:	openssh-clients
Source44: import.info

%description
mpssh is a parallel ssh tool. What it does is connecting to a number of hosts
specified in the hosts file and execute the same command on all of them


%prep
%setup -q -n %{name}-%{commit}
%patch0

%build
# No configure, so set compiler FLAGS manually
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
LDFLAGS="${LDFLAGS:-%?__global_ldflags}"; export LDFLAGS
%make_build
sed -i "s,/usr/local,%{_prefix},g" %{name}.1
cp debian/copyright .
gzip %{name}.1


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}
install -p -D -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -p -D -m 0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz


%files
%doc README
%if 0%{?rhel} <= 6
%doc copyright
%else
%doc --no-dereference copyright
%endif
%{_bindir}/%{name}
%{_mandir}/*/%{name}.1*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.3.3-alt2_20
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.3.3-alt2_18
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.3.3-alt2_17
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.3.3-alt2_16
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.3.3-alt2_15
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.3.3-alt2_14
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.3.3-alt2_13
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt2_12
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_12
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_11
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_10
- new version

